


/****************************************************************************
;
; NAME: osata.h
;
;
; DESCRIPTION:
;
;       Linux interface ATA definitions
;
;
; REVISION HISTORY:
;
;       $Log: /ESASHBA2/Linux/driver/osata.h $
; 
; 1     10/25/10 4:42p Mseier
; Initial entry.
; 
;
;
; THIS PROGRAM AND THE INFORMATION CONTAINED HEREIN IS THE PROPERTY OF
; ATTO TECHNOLOGY, INC. AND SHALL NOT BE REPRODUCED, COPIED, OR USED IN
; WHOLE OR IN PART OTHER THAN AS PROVIDED FOR IN THE LICENSE AGREEMENT
; PURSUANT TO WHICH IT WAS FURNISHED.
;
; COPYRIGHT (c) ATTO TECHNOLOGY, INC. 2010
; ALL RIGHTS RESERVED.
;
;***************************************************************************/

#ifndef _OSATA_H_
#define _OSATA_H_

/* Define range for Linux ATA Ioctls    */

#define ATA_IOCTL_MIN   0x301
#define ATA_IOCTL_MAX   0x33F


int OsAtaGetIoctlSize( int cmd );
int OsAtaProcessIoctl( int cmd, void* ioctl_data, Scsi_Device* sd, void* arg );

#endif /* _OSATA_H_ */
