


/****************************************************************************
;
; NAME: ospciids.c
;
;
; DESCRIPTION:
;
;       PCI identifiers for ATTO ESASHBA 6Gb devices
;
;
; REVISION HISTORY:
;
;       $Log: /EsasHba2/Linux/driver/ospciids.h $
; 
; 1     5/25/12 12:57p Jseba
; Initial submission
; 
; 
; THIS PROGRAM AND THE INFORMATION CONTAINED HEREIN IS THE PROPERTY OF
; ATTO TECHNOLOGY, INC. AND SHALL NOT BE REPRODUCED, COPIED, OR USED IN
; WHOLE OR IN PART OTHER THAN AS PROVIDED FOR IN THE LICENSE AGREEMENT
; PURSUANT TO WHICH IT WAS FURNISHED.
;
; COPYRIGHT (c) ATTO TECHNOLOGY, INC. 10/24/03 - $JustDate:  5/25/12 $
; ALL RIGHTS RESERVED.
;
;***************************************************************************/

static struct pci_device_id
atto_pci_table [] = {
    { ATTO_VENDOR_ID, 0x0042, ATTO_VENDOR_ID, 0x0042, 0, 0,         0 },
    { ATTO_VENDOR_ID, 0x0042, ATTO_VENDOR_ID, 0x0043, 0, 0,         0 },
    { ATTO_VENDOR_ID, 0x0042, ATTO_VENDOR_ID, 0x0044, 0, 0,         0 },
    { ATTO_VENDOR_ID, 0x0042, ATTO_VENDOR_ID, 0x0045, 0, 0,         0 },
    { ATTO_VENDOR_ID, 0x0042, ATTO_VENDOR_ID, 0x0046, 0, 0,         0 },
    { ATTO_VENDOR_ID, 0x0042, ATTO_VENDOR_ID, 0x004F, 0, 0,         0 },
    { ATTO_VENDOR_ID, 0x0042, ATTO_VENDOR_ID, 0x0057, 0, 0,         0 },
    { ATTO_VENDOR_ID, 0x0042, ATTO_VENDOR_ID, 0x0058, 0, 0,         0 },
    { ATTO_VENDOR_ID, 0x0042, ATTO_VENDOR_ID, 0x0059, 0, 0,         0 },
    { ATTO_VENDOR_ID, 0x0042, ATTO_VENDOR_ID, 0x005A, 0, 0,         0 },
    { ATTO_VENDOR_ID, 0x0042, ATTO_VENDOR_ID, 0x005B, 0, 0,         0 },
    { 0, 0, 0, 0, 0, 0, 0 }  /* The required last entry */
};

